Skip to content

Chargeback asynchronous notification

  • Endpoint: POST /delSuffixStart14
  • Tags: Chargeback

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
feestringYesmaxLength: 2010.00
channelOrderNostringYesmaxLength: 64TPC776377168137542977644013024
batchIdstringNoP20210702104937
outUserIdstringYesZNW3e
tradeCreateTimestringYes2022-01-22T10:00:00.500+08:00
caseIdstringYesO20211118090801
outTradeNostringYes20181112112606266846
currencystringNoINR
tradeTokenstringYesT2023081604639602348121
tradeCountrystringYesIN
expirationDatestringYes2022-01-22
amountstringYes15.00
retrievalDatestringYes2022-01-22
payFinishTimestringYes2022-01-22T10:00:00.500+08:00
caseResultstringNoFAIL
tradeCurrencystringYesIN
cardOrgstringNo
productDescstringNoproduct description
targetOrgstringNoOVO
totalAmountstringYes25
tradeAmountstringYes10
paymentMethodTypestringNoWALLET
statusstringYesDISPUTE_INQUIRY
reasonCodestringYesmaxLength: 644842
reasonMessagestringYesmaxLength: 512Late Presentment

Example

json
{
  "fee": "564.47",
  "channelOrderNo": "TPC25414916781601399492036086",
  "batchId": "",
  "outUserId": "useroutTradeNo1678160134430",
  "tradeCreateTime": "2023-03-07T03:35:33.000Z",
  "caseId": "O20230412074414033194005231",
  "outTradeNo": "outTradeNo1678160134430",
  "currency": "PHP",
  "tradeToken": "T2023081604639602348121",
  "tradeCountry": "PH",
  "expirationDate": "2023-04-12",
  "amount": "20000.00",
  "retrievalDate": "2023-04-12",
  "payFinishTime": "2023-03-07T03:35:48.000Z",
  "caseResult": "WIN",
  "tradeCurrency": "PHP",
  "cardOrg": "",
  "productDesc": "this is subject",
  "targetOrg": "GRABPAY",
  "totalAmount": "20564.47",
  "tradeAmount": "20000.00",
  "paymentMethodType": "WALLET",
  "status": "CASE_CLOSED",
  "reasonCode": "13.3",
  "reasonMessage": "Cardholder Dispute Defective/Not as Described"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 320000
msgstringYesmaxLength: 256Success

Response Example

json
{
  "bizCode": "0000",
  "message": "success"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.